Subject: bug#51144: GNU grep 3.7 fails to build on FreeBSD

From: Paul Eggert <[email-masked]>
Date: Sat, 16 Oct 2021 14:54:18 -0700

On 10/16/21 2:06 PM, Jeffrey Walton wrote:
> Related, that may affect Solaris, too. I believe Sun prefers the amd64 prefix.

We should be OK there. I just did a "pkg install editor/gnu-emacs" on 
Solaris 11.4, and its (emacs-version) returns "GNU Emacs 25.2.1 
(x86_64-pc-solaris2.11, X toolkit, Xaw scroll bars)" which means it's 
using x86_64. (Though, eeeeuuuw, Xaw? Really?)

> And there's no telling what some of the other lesser known distros are doing.

Sure, but distros can put any string they want there; we can't possibly 
support them all, and it's good to promote a common standard.